New Ory Agent Security is now live! Claim your complimentary test drive. Get Started!

Skip to main content

Get an Identity

GET 

/admin/identities/:id

Return an identity by its ID. You can optionally include credentials (e.g. social sign in connections) in the response by using the include_credential query parameter.

SDK ReferenceTypeScript
getIdentity()
ParametersTypeRequiredDescription
idstringrequiredID must be set to the ID of identity you want to get
includeCredentialArray<'password' | 'oidc' | 'totp' | 'lookup_secret' | 'webauthn' | 'code' | 'passkey' | 'profile' | 'saml' | 'deviceauthn' | 'identifier_first' | 'link_recovery' | 'code_recovery' | '11184809'>optionalInclude Credentials in Response Include any credential, for example `password` or `oidc`, in the response. When set to `oidc`, This will return the initial OAuth 2.0 Access Token, OAuth 2.0 Refresh Token, and the OpenID Connect ID Token if available.
VariableType
dataIdentity